import pyMeow as pm

class HealthHack:
    offset = 0xEC

    @classmethod
    def apply(cls, proc, local_player_addr, value=9999):
        """local_player의 Health 값을 9999로 고정시킵니다."""
        try:
            pm.w_int(proc, local_player_addr + cls.offset, value)
        except Exception as e:
            pass
